## opencascade 6.2

=== data/work/Makefile ===
#Dummy
#priority low
#prepare_Dummy /start/start_Dummy
##end_Dummy prepare_Dummy

prepare_Dummy: clean_Dummy cvs_Dummy;

cvs: cvs_Dummy;

cvs_Dummy:
	@cd ../ && cvs export -D "1 second ago" -d ./ occ/data
	@list=`ls ..`; \
	for f in $$list; do \
	    if test "$$f" != "work"; then \
		chmod -R 777 ../$$f; \
	    fi; \
	done;

clean: clean_Dummy;

clean_Dummy:
	@list=`ls ..`; \
	for f in $$list; do \
	    if test "$$f" != "work"; then \
		rm -rf ../$$f; \
	    fi; \
	done;

%: force
	@echo "force: $@"

force: ;

## opencascade 6.3.0.dfsg.1

=== debian/changelog ===
opencascade (6.3.0.dfsg.1-6) unstable; urgency=low

  [ Denis Barbier ]
  * debian/control: In Build-Depends, replace default-jdk-builddep
    by default-jdk.  Closes: #589640
  * Add debian/patches/fix-tcl8.6.patch to fix FTBFS with tcl 8.6
  * Add debian/patches/fix-mesher-segfault.patch to fix a segfault
    with some buggy faces. (Thanks: Jerome Robert; closes: #589639)
  * Add debian/patches/OpenCASCADE6.3.0-strcmp.patch, replace ==
    operator by strcmp when comparing char* pointers.  Patch found
    in openSUSE rpm.

  [ Adam C. Powell, IV ]
  * Added source lintian overrides for my name.
  * Bumped Standards-Version to 3.9.0, no changes needed.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 21 Jul 2010 13:25:21 -0400

opencascade (6.3.0.dfsg.1-5) unstable; urgency=low

  [ Denis Barbier ]
  * Add debian/README.source
  * Add debian/patches/fix-tklcaf.patch, contributed by Michael Wild
    on Opencascade forum.
  * Let debian/patches/casroot.patch also patch Resource_Manager.cxx,
    this class is used to load various default values.
  * Add debian/patches/multibuf.patch, contributed by Dan Horák, to fix
    detection of multibuf.h
  * Add ${misc:Depends} to all Depends fields.
  * In dev packages, set Depends against corresponding shared library to
    (>= ${source:Upstream-Version}), (<< ${source:Upstream-Version}+1~)
  * Add debian/source/format, use 3.0 (quilt) because we're ready for it.
  * Add dh_lintian to debian/rules, and bump dependency on debhelper
    to >= 6.0.7~.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 26 May 2010 21:43:29 -0400

opencascade (6.3.0.dfsg.1-4) unstable; urgency=low

  [Denis Barbier]
  * New fix-osd_path.patch to try to prevent build failures
    on architectures not supported upstream.
  * Fix 2 lintian warnings:
    + Drop dh_desktop from debian/rules
    + Fix versioned build-dependency on debhelper
  * debian/rules: Fix 'unpatch' target to do its job when using
    the new dpkg source format 3.0 (quilt).  (closes: #538691)
  * New kfreebsd.patch to make OpenCascade build on GNU/kFreeBSD
    (closes: #542718).  Thanks to Aurélien Jarno for the report
    and the patch.
  * Remove *.la libtool files.  The only reverse build-dependencies
    are gmsh and elmerfem, and they do not ship *;la files, so it
    is safe to remove them from libopencascade-*-dev packages.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 23 Aug 2009 20:16:05 +0200

opencascade (6.3.0.dfsg.1-3) unstable; urgency=low

  [Denis Barbier]
  * Modify debian/opencascade-draw.install to filter out unused
    scripts from /usr/share/opencascade/6.3.0/src/DrawResources/
    (closes: #518799)
  * New fix-asm.patch to replace x86 assembly code by atomic
    extensions provided by GNU g++.  (closes: #518837)
  * Build against tcl8.5-dev and tk8.5-dev.
  * Drop unknown --with-xmu-{include,library} configure flags.
  * Do not compress files in opencascade-examples.  (closes: #496469)

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 08 Mar 2009 20:17:06 +0100

opencascade (6.3.0.dfsg.1-2) unstable; urgency=low

  [Denis Barbier]
  * New drop-config-h.patch patch.  Make sure that installed
    headers do not #include <config.h> (closes: #506117).  Thanks to Aleix on
    OpenCascade forum for the report.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 19 Nov 2008 18:03:34 -0500

opencascade (6.3.0.dfsg.1-1) unstable; urgency=low

  [Denis Barbier]
  * New Upstream Version.  (closes: #501128)
  * Upstream replaced Triangle by a free implementation,
    thus external-triangle.patch is removed as well as
    dependencies against libtriangle-dev.
  * Remove ros/src/FontMFT/*.mft files, these font files
    have no sources.  (As a side effect, closes: #487116)
  * All non-free bits have thus been removed, and opencascade
    is moved from non-free into main.
  * Jason Kraftcheck's patches have been applied upstream,
    occ6.2.patch and correct-libs.patch are dropped.
  * Split packages as suggested by Jason Kraftcheck in
    http://lists.debian.org/debian-science/2008/01/msg00023.html
    + opencascade-tools is split into opencascade-draw 
      and opencascade-wok
    + libopencascade6.3.0 is split into
      libopencascade-foundation-6.3.0, libopencascade-modeling-6.3.0,
      libopencascade-ocaf-lite-6.3.0, libopencascade-ocaf-6.3.0 and
      libopencascade-visualization-6.3.0.
    + Ditto for -dev packages.
  * New upstream build system now installs everything with
    'make install', but DESTDIR support was missing and
    requires a new destdir.patch patch.
  * Call configure from a new directory to ease cleaning up.
  * New wok-install.patch to move WOK files into
    /usr/share/tcltk/wok2.0/
  * Add --disable-dependency-tracking --disable-maintainer-mode
    to configure flags to speed up compilation and avoid
    running autotools
  * New tkernel-ld.patch patch to add -ldl to libTKernel
    which uses dlopen.  This flag was previously set by
    accident because ros/configure.in did set LIBS=$TCL_LIBS.
  * New occ6.3.0.patch patch to fix C++ configure tests and
    drop #ifdef from installed headers, they must not rely
    on config.h providing the expected symbols.
  * New dep-libs.patch to fix inter-library dependencies.
  * New make-wok-libs-private.patch to move private WOK
    libraries into /usr/lib/opencas, and remove library versions.
  * New make-draw-libs-private.patch to move private DRAW
    libraries into /usr/lib/opencas, and remove library versions.
    Add rpath information into DRAWEXE to find plug-ins.
  * New wokunix-fdescr.patch patch to fix build failure when
    compiling with -D_FORTIFY_SOURCE=2.  Patch written by
    Andrea Florio for openSUSE.
  * New wokstep_extract.patch patch to fix WOK, garbage was written
    into generated files.  (closes: #501352)
  * debian/rules: Replace obsolete dh_movefiles by dh_install.
  * Copy ros/adm/UDLIST from Windows binary tarball, the one


=== debian/control ===
Source: opencascade
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 6.0.7~), quilt, autoconf, automake, libtool,
 libx11-dev, libxmu-dev, libxext-dev, tcl8.5-dev, tk8.5-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 default-jdk
Build-Conflicts: libstlport4.6-dev, libstlport5.1-dev
Homepage: http://www.opencascade.org/
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/opencascade.git;a=summary
Vcs-Git: git://git.debian.org/git/debian-science/packages/opencascade.git

Package: libopencascade-foundation-6.3.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath TKAdvTools TKjcas

Package: libopencascade-modeling-6.3.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package supplies data structures to represent 2D and 3D geometric models,
 as well as topological and geometrical algorithms.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR
   TKMesh TKShHealing TKBool TKXMesh TKFillet TKFeat TKOffset TKSTL
   TKXSBase TKSTEPBase TKIGES TKSTEPAttr TKSTEP209 TKSTEP

Package: libopencascade-visualization-6.3.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
   TKService TKV2d TKV3d TKOpenGl TKMeshVS TKNIS TKVRML

Package: libopencascade-ocaf-lite-6.3.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is part of the OpenCASCADE Application Framework, it
 provides shared libraries which have no dependency against X11.
 .
 This package contains the following shared libraries:
   TKCDF PTKernel TKLCAF FWOSPlugin TKPShape TKBinL TKXmlL TKTObj
   TKShapeSchema TKPLCAF TKStdLSchema StdLPlugin BinLPlugin XmlLPlugin

Package: libopencascade-ocaf-6.3.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package provides OpenCASCADE Application Framework services and 
 support for data exchange.
 .
 This package contains the following shared libraries:
   TKCAF TKBin TKXml TKBinTObj TKXmlTObj TKPCAF TKStdSchema
   StdPlugin XmlPlugin BinPlugin BinTObjPlugin XmlTObjPlugin
   TKXCAF TKXCAFSchema TKXmlXCAF TKBinXCAF TKXDEIGES TKXDESTEP
   XCAFPlugin XmlXCAFPlugin BinXCAFPlugin

Package: opencascade-draw
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: opencascade-tools
Replaces: opencascade-tools
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the DRAW test harness.

Package: opencascade-wok
Architecture: any
Section: science
Depends: tclx8.4 | tclx, ${shlibs:Depends}, ${misc:Depends}
Conflicts: opencascade-tools, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Replaces: opencascade-tools, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the WOK development framework.

Package: libopencascade-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-ocaf-dev,
         libopencascade-visualization-dev,
         ${misc:Depends}
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This is a transitional package.

Package: libopencascade-foundation-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-6.3.0 (>= ${source:Upstream-Version}), libopencascade-foundation-6.3.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Replaces: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the libtool .la files, headers and symlinks for libraries
 shipped by libopencascade-foundation-6.3.0.

Package: libopencascade-modeling-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-6.3.0 (>= ${source:Upstream-Version}), libopencascade-modeling-6.3.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Replaces: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the libtool .la files, headers and symlinks for libraries
 shipped by libopencascade-modeling-6.3.0.

Package: libopencascade-ocaf-lite-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-6.3.0 (>= ${source:Upstream-Version}), libopencascade-ocaf-lite-6.3.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Replaces: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the libtool .la files, headers and symlinks for libraries
 shipped by libopencascade-ocaf-lite-6.3.0.

Package: libopencascade-ocaf-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-ocaf-6.3.0 (>= ${source:Upstream-Version}), libopencascade-ocaf-6.3.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Replaces: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the libtool .la files, headers and symlinks for libraries
 shipped by libopencascade-ocaf-6.3.0.

Package: libopencascade-visualization-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-visualization-6.3.0 (>= ${source:Upstream-Version}), libopencascade-visualization-6.3.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Replaces: libopencascade6.2-dev, libopencascade-dev (<< 6.3.0.dfsg.1-1)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the libtool .la files, headers and symlinks for libraries
 shipped by libopencascade-visualization-6.3.0.

Package: opencascade-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: OpenCASCADE CAE platform library input examples
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains example input files for OpenCASCADE in various formats.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=opencascade

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := 1
endif

QUILT := quilt --quiltrc debian/patches/quiltrc

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-include /usr/share/gcj/debian_defaults

ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs))) 
CONFIGURE_JAVA = --with-java-include=/usr/lib/jvm/default-java/include
endif

BUILD_DIR := builddir

unpatch:
	dh_testdir
	if [ -e .pc ]; then \
	  $(QUILT) pop -a -R || test $$? = 2; \
	  rm -f patch-stamp; \
	fi

clean: unpatch
	dh_testdir
	rm -rf $(BUILD_DIR)
	rm -f *-stamp
# This is left by a patch-stamp/unpatch combination
	rm -rf .pc
# Files created by autoreconf in ros/ directory
	rm -rf ros/autom4te.cache ros/config.h.in~
	dh_clean

patch: patch-stamp
patch-stamp:
	dh_testdir
	$(QUILT) push -a || test $$? = 2
	touch $@

configure-stamp: patch-stamp
	dh_testdir
	cd ros && autoreconf -fi
	rm -rf $(BUILD_DIR)
	mkdir $(BUILD_DIR)
# Set CPPFLAGS to find arch-6.3.0/Standard_Macro64.hxx.  Ideally upstream would
# add $(top_builddir)/inc to INCLUDES in their Makefile.am files.
	cd $(BUILD_DIR) && ../ros/configure $(CONFIGURE_JAVA) \
	  --prefix=/usr --enable-shared --disable-debug \
	  --disable-dependency-tracking --disable-maintainer-mode \
	  --with-tcl=/usr/lib/tcl8.5 --with-tk=/usr/lib/tk8.5 \
	  CPPFLAGS="$(CPPFLAGS) -I'$(CURDIR)/$(BUILD_DIR)/inc'"
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C $(BUILD_DIR) -j $(NJOBS)
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	-rm -rf debian/tmp
	$(MAKE) -C $(BUILD_DIR) install DESTDIR=$(CURDIR)/debian/tmp
	# Fix OpenCascade mess
	rm -rf debian/tmp/usr/lin debian/tmp/usr/Linux
	rm -f debian/tmp/usr/config.h debian/tmp/usr/inc/config.h debian/tmp/usr/inc/arch-6.3.0/Standard_Macro64.hxx.in
	cp $(BUILD_DIR)/inc/arch-6.3.0/Standard_Macro64.hxx debian/tmp/usr/inc/arch-6.3.0/
	install -d debian/tmp/usr/include
	mv debian/tmp/usr/inc debian/tmp/usr/include/opencascade
	install -d debian/tmp/usr/share/opencascade/6.3.0
	mv debian/tmp/usr/src debian/tmp/usr/share/opencascade/6.3.0/src
	for script in demo idoc mdltest mkdoc tdoc test2xl vmdltest; do \
	  chmod +x debian/tmp/usr/share/opencascade/6.3.0/src/DrawResources/$$script; \
	done
	# Move Tcl stuff into /usr/share/tcltk/wok2.0
	install -d debian/tmp/usr/share/tcltk
	mv debian/tmp/usr/wok debian/tmp/usr/share/tcltk/wok2.0
	install -d debian/tmp/usr/share/tcltk/wok2.0/lib/images
	mv debian/tmp/usr/share/tcltk/wok2.0/lib/*.xpm debian/tmp/usr/share/tcltk/wok2.0/lib/images/
	mv debian/tmp/usr/share/tcltk/wok2.0/lib/*.xbm debian/tmp/usr/share/tcltk/wok2.0/lib/images/
	mv debian/tmp/usr/share/tcltk/wok2.0/lib/*.gif debian/tmp/usr/share/tcltk/wok2.0/lib/images/
	cp -p debian/wok_Init.tcl debian/tmp/usr/share/tcltk/wok2.0/
	cp -p debian/pkgIndex.tcl debian/tmp/usr/share/tcltk/wok2.0/
	# Improve integration in Debian desktop
	install -d debian/tmp/usr/share/applications
	cp -p debian/opencascade-draw.desktop debian/tmp/usr/share/applications/
	install -d debian/tmp/usr/share/pixmaps
	cp -p debian/occ-icon-32.xpm debian/tmp/usr/share/pixmaps/
	install -d debian/tmp/usr/share/man/man1
	cp -p debian/DRAWEXE.1 debian/tmp/usr/share/man/man1/
	find debian/tmp/usr/share -name FILES -exec rm -f {} \;
	touch $@

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_install -i --sourcedir=debian/tmp
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs))) 
	cp -a debian/tmp/usr/lib/libTKjcas.so debian/tmp/usr/lib/libTKjcas.la \
                debian/libopencascade-foundation-dev/usr/lib
endif
	dh_installdocs -i
	dh_installchangelogs -i
	dh_lintian -i
	dh_compress -i -X.pdf -X.js -X.xml -X.csfdb -X.iges -X.BMP -X.xwd -X.brep -X.rle -X.step -X.stl
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	dh_install -a --sourcedir=debian/tmp
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs))) 
	cp -a debian/tmp/usr/lib/libTKjcas-*.so debian/libopencascade-foundation-6.3.0/usr/lib
endif
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -a
	dh_makeshlibs -a
	dh_installmenu -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean install build

## opencascade 6.5.0.dfsg

=== debian/changelog ===
opencascade (6.5.0.dfsg-2ubuntu1) raring; urgency=low

  * Accounted for multiarch Tcl & Tk locations in d/rules, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 19 Apr 2013 23:25:26 -0400

opencascade (6.5.0.dfsg-2build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:52:45 +0100

opencascade (6.5.0.dfsg-2) unstable; urgency=low

  [ Denis Barbier ]
  * Add debian/patches/submitted/ftbfs-g++4.6.patch
    Fix FTBFS with g++ 4.6.  Closes: #624943
  * Add debian/patches/submitted/fix-Abs-parenthesis.patch
    Fix misplaced parenthesis, patch by Fotios Sioutis
    on the OpenCascade forum.
  * debian/patches/hurd-fixes.patch: Rename ED variable into
    EData, as ED is a macro defined in errno.h on the Hurd.
  * Fix sparc v9 detection in fix-asm.patch to fix FTBFS
    on sparc64.
  * Fix debian/patches/compatibility-occ630-Value.patch: the
    old Value() method did return a distance whereas
    SquareDistance() now returns a square distance, so Value()
    must call sqrt().  Thanks to Roman Lygin and Mikhail Sazonov
    for the catch on the OpenCASCADE forum.

  [ Adam C. Powell, IV ]
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 06 May 2011 09:52:41 -0400

opencascade (6.5.0.dfsg-1) unstable; urgency=low

  [ Adam C. Powell, IV ]
  [ Denis Barbier ]
  * New upstream version: Closes: #616736
    - Bump sonames to 6.5.0.
    - Java support and WOK have been dropped.  Closes: #603279
  * debian/control: Build-depends on libftgl-dev and libgl2ps-dev.
  * debian/control: Remove conflicts against old opencascade packages.
  * debian/patches: WOK has been removed, drop specific patches:
         wokunix-fdescr.patch           wokstep_extract.patch
         make-wok-libs-private.patch    wok-install.patch
         tcl-cleanup.patch
  * Drop debian/patches/fix-mesher-segfault.patch, upstream applied
    a different fix.
  * Drop debian/patches/udlist.patch, ros/adm/UDLIST has been shipped.
  * Merge debian/patches/occ6.3.0.patch into debian/patches/drop-config-h.patch
  * Reorder patches and move patches which have been reported
    upstream into debian/patches/submitted/ to help maintenance.
  * Add debian/patches/fix-ftgl-includes.patch: upstream supports an
    old version of ftgl, sources must be patched to work with a
    newer one.
  * Add debian/patches/submitted/move-osd_fontmgr-vis.patch: move
    OSD_FontMgr from TKernel into TKOpenGl so that libTKernel
    is not linked against X11.
  * Add debian/patches/submitted/enable-freeimage.patch: fix
    compilation against recent freeimageplus.  For now the configure
    script is called without --with-freeimage though, this pulls in
    too many dependencies.
  * Add debian/patches/submitted/add-enable-openmp.patch: add a
    new configure option --enable-openmp to parallelize loops with
    openmp instead of tbb.
  * Add debian/patches/compatibility-occ630-Value.patch: several
    classes break compatibility with 6.3.0 by renaming exported
    methods.  This patch creates aliases to help Debian packages
    being ported to opencascade 6.5.0, but it will be removed
    as soon as those applications are fixed, we do not want to
    diverge from upstream.
  * Add debian/patches/submitted/workaround-bug-mesher.patch: the
    new mesher in OCC 6.5.0 is more robust, but also produces much
    larger meshes on B-spline surfaces.  Until this bug is fixed, it
    seems better to not use the specific B-spline mesher, but the
    generic one.  Patch provided by Jérôme Robert.
  * Add debian/patches/debian/patches/configure-cflags.patch:
    compile C sources with -D_GNU_SOURCE as with C++.  This is mostly
    cosmetics, but allows installing libraries on a very old system
    (glibc 2.2.5 against 2.7 without this flag), because C source
    files in ros/src/IGESFile use sscanf, which adds a dependency
    against glibc >= 2.7 unless compiled with -D_GNU_SOURCE.
  * Add debian/patches/submitted/fix-display-text.patch: text doesn't
    get displayed in 6.5, patch provided by Venugopal Gudimetla on
    the opencascade forum.
  * Add debian/patches/hurd-fixes.patch: this patch will gather
    fixes needed to build on Hurd.  In this hunk, drop method
    OSD_Process::CurrentDirectory(), it is unused but cause FTBFS.
  * Slightly modify fix-asm.patch to use upstream assembly code on
    x86 and amd64, and atomic extensions provided by GNU g++ on
    other architectures.  Disable them on sparcv9, they currently
    cause a FTBFS.
  * Move some header files between libopencascade-ocaf-lite-dev and
    libopencascade-ocaf-dev to be more consistent with upstream
    modules.  Breaks/Replaces are added in debian/control to
    help upgrades.

  [ Adam C. Powell, IV ]
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 21 Mar 2011 07:52:34 -0400

=== debian/control ===
Source: opencascade
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 6.0.7~), quilt, autoconf, automake, libtool,
 libx11-dev, libxmu-dev, libxext-dev, tcl8.5-dev, tk8.5-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libftgl-dev, libgl2ps-dev, dpkg-dev (>= 1.16.0)
Build-Conflicts: libstlport4.6-dev, libstlport5.1-dev
Homepage: http://www.opencascade.org/
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/opencascade.git;a=summary
Vcs-Git: git://git.debian.org/git/debian-science/packages/opencascade.git

Package: libopencascade-foundation-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath TKAdvTools

Package: libopencascade-modeling-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package supplies data structures to represent 2D and 3D geometric models,
 as well as topological and geometrical algorithms.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR
   TKMesh TKShHealing TKXMesh TKBool TKFillet TKFeat TKOffset TKSTL
   TKXSBase TKSTEPBase TKIGES TKSTEPAttr TKSTEP209 TKSTEP

Package: libopencascade-visualization-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
   TKService TKV2d TKV3d TKOpenGl TKMeshVS TKNIS TKVRML TKVoxel

Package: libopencascade-ocaf-lite-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is part of the OpenCASCADE Application Framework, it
 provides shared libraries which have no dependency against X11.
 .
 This package contains the following shared libraries:
   TKCDF PTKernel TKLCAF FWOSPlugin TKPShape TKBinL TKXmlL
   TKPLCAF TKTObj TKShapeSchema TKStdLSchema

Package: libopencascade-ocaf-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package provides OpenCASCADE Application Framework services and 
 support for data exchange.
 .
 This package contains the following shared libraries:
   TKCAF TKBin TKXml TKPCAF TKBinTObj TKXmlTObj TKStdSchema
   TKXCAF TKXCAFSchema TKXmlXCAF TKBinXCAF TKXDEIGES TKXDESTEP

Package: opencascade-draw
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the DRAW test harness.

Package: libopencascade-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-ocaf-dev,
         libopencascade-visualization-dev,
         ${misc:Depends}
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This is a transitional package.

Package: libopencascade-foundation-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-6.5.0 (>= ${source:Upstream-Version}), libopencascade-foundation-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-foundation-6.5.0.

Package: libopencascade-modeling-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-6.5.0 (>= ${source:Upstream-Version}), libopencascade-modeling-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-modeling-6.5.0.

Package: libopencascade-ocaf-lite-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-6.5.0 (>= ${source:Upstream-Version}), libopencascade-ocaf-lite-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-dev (<< 6.5.0)
Breaks: libopencascade-ocaf-dev (<< 6.5.0)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-ocaf-lite-6.5.0.

Package: libopencascade-ocaf-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-ocaf-6.5.0 (>= ${source:Upstream-Version}), libopencascade-ocaf-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-lite-dev (<< 6.5.0)
Breaks: libopencascade-ocaf-lite-dev (<< 6.5.0)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-ocaf-6.5.0.

Package: libopencascade-visualization-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-visualization-6.5.0 (>= ${source:Upstream-Version}), libopencascade-visualization-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-visualization-6.5.0.

Package: opencascade-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: OpenCASCADE CAE platform library input examples
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains example input files for OpenCASCADE in various formats.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=opencascade

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := 1
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

QUILT := quilt --quiltrc debian/patches/quiltrc

BUILD_DIR := builddir

unpatch:
	dh_testdir
	if [ -e .pc ]; then \
	  $(QUILT) pop -a -R || test $$? = 2 || exit 1; \
	  rm -f patch-stamp; \
	fi

clean: unpatch
	dh_testdir
	rm -rf $(BUILD_DIR)
	rm -f *-stamp
# This is left by a patch-stamp/unpatch combination
	rm -rf .pc
# Files created by autoreconf in ros/ directory
	rm -rf ros/autom4te.cache ros/config.h.in~
	dh_clean

patch: patch-stamp
patch-stamp:
	dh_testdir
	$(QUILT) push -a || test $$? = 2
	touch $@

reconfigure-stamp: patch-stamp
	dh_testdir
	cd ros && autoreconf -fi
	touch $@

#  configure options which are not used currently, but may be enabled:
#  --with-freeimage=/usr
#    Not enabled because this pulls in too many dependencies
#  --with-tbb-include=/usr/include --with-tbb-library=/usr/lib
#    There are only 2 parallelized simple loops in the whole code,
#    so if we really want to enable multithread, openMP seems a much
#    better alternative, tbb is available only on very few architectures
#  --enable-openmp
#    This flag is Debian specific, it is added by debian/patches/add-enable-openmp.patch
#    When this option is set, loops described above are parallelized with openmp.
#    It is enabled now for testing, but may be disabled later.
configure-stamp: reconfigure-stamp
	dh_testdir
	rm -rf $(BUILD_DIR)
	mkdir $(BUILD_DIR)
# Set CPPFLAGS to find arch-6.5.0/Standard_Macro64.hxx.  Ideally upstream would
# add $(top_builddir)/inc to INCLUDES in their Makefile.am files.
	cd $(BUILD_DIR) && ../ros/configure \
	  --prefix=/usr --enable-shared --disable-debug \
	  --disable-dependency-tracking --disable-maintainer-mode \
	  --with-freetype=/usr --with-ftgl=/usr --with-gl2ps=/usr \
	  --enable-openmp \
	  --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.5 --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk8.5 \
	  CPPFLAGS="$(CPPFLAGS) -I'$(CURDIR)/$(BUILD_DIR)/inc'"
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C $(BUILD_DIR) -j $(NJOBS)
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	-rm -rf debian/tmp
	$(MAKE) -C $(BUILD_DIR) install DESTDIR=$(CURDIR)/debian/tmp
	# Fix OpenCascade mess
	rm -rf debian/tmp/usr/lin debian/tmp/usr/Linux
	install -d debian/tmp/usr/include
	mv debian/tmp/usr/inc debian/tmp/usr/include/opencascade
	install -d debian/tmp/usr/share/opencascade/6.5.0
	mv debian/tmp/usr/src debian/tmp/usr/share/opencascade/6.5.0/src
	for script in demo idoc mdltest mkdoc tdoc test2xl vmdltest; do \
	  chmod +x debian/tmp/usr/share/opencascade/6.5.0/src/DrawResources/$$script; \
	done
	# Improve integration in Debian desktop
	install -d debian/tmp/usr/share/applications
	cp -p debian/opencascade-draw.desktop debian/tmp/usr/share/applications/
	install -d debian/tmp/usr/share/pixmaps
	cp -p debian/occ-icon-32.xpm debian/tmp/usr/share/pixmaps/
	install -d debian/tmp/usr/share/man/man1
	cp -p debian/DRAWEXE.1 debian/tmp/usr/share/man/man1/
	find debian/tmp/usr/share -name FILES -exec rm -f {} \;
	touch $@

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_install -i --sourcedir=debian/tmp --list-missing
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs))) 
	cp -a debian/tmp/usr/lib/libTKjcas.so debian/tmp/usr/lib/libTKjcas.la \
                debian/libopencascade-foundation-dev/usr/lib
endif
	dh_installdocs -i
	dh_installchangelogs -i
	dh_lintian -i
	dh_compress -i -X.pdf -X.js -X.xml -X.csfdb -X.iges -X.BMP -X.xwd -X.brep -X.rle -X.step -X.stl
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	dh_install -a --sourcedir=debian/tmp --list-missing
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs))) 
	cp -a debian/tmp/usr/lib/libTKjcas-*.so debian/libopencascade-foundation-6.5.0/usr/lib
endif
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -a
	dh_makeshlibs -a
	dh_installmenu -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean install build
